# NoAuthenticatorAvailableError class

Returned if no negotiator was picked, even though negotiations are not done yet.

Inheritance
  - Object
  - XmppError
  - XmppConnectionError
  - NoAuthenticatorAvailableError

## Constructors

NoAuthenticatorAvailableError ()

## Properties

hashCode → int
  The hash code for this object.
  no setterinherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setterinherited

## Methods

isRecoverable () → bool
  Return true if we can recover from the error by attempting a reconnection.
  override
noSuchMethod (Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString () → String
  A string representation of this object.
  inherited

## Operators

operator == (Object other) → bool
  The equality operator.
  inherited